Page MenuHomePhabricator

Enable ContentTranslation in Chinese Wikipedia
Closed, ResolvedPublic

Description

Requested at https://zh.wikipedia.org/wiki/Wikipedia:互助客栈/技术#建议引入条目翻译工具, though there's only 4 supporters (2 directly and 2 from other pages)

Psst: Where's @Jusjih, sorry I can't find you here.

Event Timeline

Liuxinyu970226 raised the priority of this task from to Normal.
Liuxinyu970226 updated the task description. (Show Details)
Liuxinyu970226 set Security to None.

I think 4 supporters is enough, as there is no objector in the discussion.

KartikMistry added a subscriber: KartikMistry.

Thank you for request to enable Content Translation in Chinese Wikipedia! I'll go ahead and enable it in Beta server first and ask for any feedback. I'll update here once done.

dchan added a subscriber: dchan.Apr 23 2015, 10:08 AM

There will almost certainly be complications in the use case, due to the use of LanguageConverter[*] in Chinese Wikipedia.

See http://www.mediawiki.org/wiki/Writing_systems#LanguageConverter .

But I see the language converter is present on http://zh.wikipedia.beta.wmflabs.org/ , so let's see how things look there.

KartikMistry moved this task from Backlog to Deployments on the ContentTranslation-Release5 board.
Liuxinyu970226 added subscribers: Hkjacksonhk, Wong128hk.
Amire80 raised the priority of this task from Normal to High.Jun 23 2015, 8:37 AM
Amire80 moved this task from Needs Triage to CX5 on the ContentTranslation board.

CX is scheduled for deployment tomorrow i.e. 25 June on the Chinese Wikipedia. It would be really great if someone could help us translate the following message. @Liuxinyu970226, can you or someone else help us please? If there are any last minute changes in plans we can make the modifications in the message accordingly. Thanks.

[Draft for translation]

"Content Translation", the new article creation tool is now available

[[File:Cx-icon-ltr.svg|264px|right|Tool icon]]
[[File:Content_Translation_Screencast_%28English%29.webm|thumb|How to use Content Translation - a short video (English)]]
Hello, [[mw:Content_translation|Content Translation]] has now been enabled as an opt-in beta feature on the Chinese Wikipedia. To start translating:

  1. Please enable the Beta feature in your preferences by checking the box for Content Translation.
  2. Visit the page [[Special:ContentTranslation]] or to your contributions page to open the tool.
  3. Click on the button to create a new translation.
  4. In the displayed dialog select the language of the original article and the article name, and the language you would like to translate to. Also add the title of the new article (or the original title will be inserted) and click on to begin. Your language preferences will be remembered for the next time.
  5. You will see a screen consisting of three columns. The left column contains the text of the source language and the middle column is for the translated text. Using the right column you can perform several actions such as insert source text, remove the inserted text source text, add or remove links etc.
  6. After you translate the article, you can publish it directly as a new page on the Chinese Wikipedia by using the publish button that appears. In case the article gets created by another user while you were translating, you will see an option to save the newly published translation under your user namespace.
  7. The number of published pages can be seen on the [[Special:CXStats|Content Translation stats page]].

Since this is the first time we have installed the tool on this Wikipedia, there are chances that there may be some problems or service disruptions which we are not yet aware of. We will be monitoring the usage to check for any failures or issues, but please do let us know on the [[:mw:Talk:Content_translation|Content Translation talk page]] or through [[phab:T97011|Phabricator]] if you spot any problems. For more information, please read the information available in the [[:mw:Help:Extension:ContentTranslation|User Guide]]. Thank you. On behalf of the Wikimedia Foundation's Language Engineering Team:
[signature] (Thanks to [[User:<name>]] for the Chinese translation of this announcement)

@Arrbee I am translating that into Traditional Chinese (zh-hant) now, give me 30 minutes.

@Arrbee I am translating that into Traditional Chinese (zh-hant) now, give me 30 minutes.

Thank you @Shangkuanlc and no rush at all. The activation is scheduled for tomorrow. :)

This is zh-hant (Traditional Chinese) version of the announcement, enjoy!

全新功能的「內容翻譯」維基工具中文版正式上線
[[File:Cx-icon-ltr.svg|264px|right|工具圖示]]
[[File:Content_Translation_Screencast_%28English%29.webm|thumb|如何使用內容翻譯工具——短片(英文)]]
哈囉各位,[[mw:Content_translation|內容翻譯(Content Translation)]]工具現在已經可以在中文維基百科來開啟這個測試功能(beta feature)了!想要完整使用此工具,歡迎依照下列步驟進行設定:

  1. 請登入您的維基百科(若還沒帳號者需先申請帳號),從「偏好設定」中的「測試功能」勾選「內容翻譯」的欄位,開啟此功能。
  2. 進入頁面[[Special:ContentTranslation]]或是您的貢獻頁面來打開這個工具。
  3. 點擊按鈕來創建新的翻譯。
  4. 在播放的對話中選擇原始頁面的語言以及條目名稱,並選擇您希望翻譯的目標語言為何。擬定新條目的標題(不然原始語言的條目名稱會保留成為新條目的標題)並且點擊開始按鈕。這次的選擇將會被記憶起來,下次不用再設定。
  5. 您會看到螢幕上現在包含了三個欄位。左邊的欄位包含了原始語言的文字,而中間的欄位則包含翻譯後的文字。請透過右方的欄位來進行各種動作,像是插入文字、移除選擇文字、新增或移出連結......等。
  6. 把條目翻譯好之後,您可以直接在中文維基百科以一個新頁面的方式上發佈它,只要點擊發佈紐(publish button)即可。有時候在你翻譯的同時,有其他志工已經先把條目翻譯好並發佈到維基百科上了,為了因應這個狀況,您也可以把新發佈的翻譯放在您自己的用戶頁名字空間底下。
  7. 用內容翻譯工具所發佈的頁面量可以在[[Special:CXStats|內容翻譯統計頁]]找到。

因為這是我們第一次安裝這個工具在中文維基百科,所以可能使用時會發生一些問題或是服務中斷等我們沒有預期到的意外。我們將會持續監控使用這個工具的狀況以避免錯誤或問題的發生,但如果您發現了問題也歡迎利用[[:mw:Talk:Content_translation|內容翻譯討論頁]]或是透過[[phab:T97011|Phabricator]]來通知我們。想瞭解更多資訊,請閱讀下列連結:[[:mw:Help:Extension:ContentTranslation|使用手冊]]。感謝您。僅代表維基媒體基金會語言工程團隊:
[signature] (感謝[[User:<name>]]翻譯此份公告為繁體中文版)

@Shangkuanlc Thank you very much! Its a big help for us and we really appreciate your support. :)

Change 220706 had a related patch set uploaded (by KartikMistry):
CX: Enable Content Translation in 20150625 deployment

https://gerrit.wikimedia.org/r/220706

Change 220707 had a related patch set uploaded (by KartikMistry):
CX: Add languages for deployment on 20150625

https://gerrit.wikimedia.org/r/220707

KartikMistry lowered the priority of this task from High to Normal.Jun 25 2015, 7:17 AM

Change 220707 merged by Alexandros Kosiaris:
CX: Add languages for deployment on 20150625

https://gerrit.wikimedia.org/r/220707

Change 220706 merged by jenkins-bot:
CX: Enable Content Translation in 20150625 deployment

https://gerrit.wikimedia.org/r/220706

Restricted Application added a project: Notice. · View Herald TranscriptJun 25 2015, 4:06 PM
Arrbee added a comment.EditedJun 25 2015, 5:00 PM

Announcement posted. Thanks for all the help. :)

Anyone tried that? Is that just my problem that the Content Translation does not support EN-ZH translation?

Anyone tried that? Is that just my problem that the Content Translation does not support EN-ZH translation?

Hi @AddisWang we don't have en-zh translation yet on Apertium, which is the only MT system that is currently available through Content Translation.

Hi @AddisWang we don't have en-zh translation yet on Apertium, which is the only MT system that is currently available through Content Translation.

We needn't MT, because of the locally (maybe hardcoded?) https://zh.wikipedia.org/wiki/Wikipedia:翻译守则#.E6.A9.9F.E5.99.A8.E7.BF.BB.E8.AD.AF

AddisWang added a comment.EditedJun 26 2015, 4:27 AM

Hi @AddisWang we don't have en-zh translation yet on Apertium, which is the only MT system that is currently available through Content Translation.

I don't think there is machine translation also. and how's Youdao translation goes?

I don't think there is machine translation also. and how's Youdao translation goes?

@AddisWang there is additional overhead for legal clearances before that can happen. Thanks.

KartikMistry closed this task as Resolved.Jun 26 2015, 7:38 AM
KartikMistry removed a project: Patch-For-Review.
KartikMistry moved this task from 2015-06-25 to Done on the ContentTranslation-Deployments board.
gpaumier moved this task from Backlog to Triaged on the Notice board.Jun 26 2015, 8:27 PM
gpaumier moved this task from Triaged to Archive on the Notice board.Jul 2 2015, 8:19 PM